Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
dataforseo_labs
/
google
/
bulk_app_metrics
/
live
Google Play Bulk App Metrics Live
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/bulk_app_metrics/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_ids": [
    "<string>"
  ],
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.se_type": "<string>",
  "tasks.result.app_id": "<string>",
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.se_type": "<string>",
  "tasks.result.items.app_id": "<string>",
  "tasks.result.items.metrics": {},
  "tasks.result.items.metrics.google_play_search_organic": {},
  "tasks.result.items.metrics.google_play_search_organic.pos_1": 123,
  "tasks.result.items.metrics.google_play_search_organic.pos_2_3": 123,
  "tasks.result.items.metrics.google_play_search_organic.pos_4_10": 123,
  "tasks.result.items.metrics.google_play_search_organic.pos_11_100": 123,
  "tasks.result.items.metrics.google_play_search_organic.count": 123,
  "tasks.result.items.metrics.google_play_search_organic.search_volume": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
app_ids
string[]
required

ids of the app required field IDs of the mobile applications on Google Play; you can find the ID in the URL of every app listed on Google Play; example: in the URL https://play.google.com/store/apps/details?id=org.telegram.messenger the id is org.telegram.messenger; the maximum number of IDs you can specify in this field is 1000

location_name
string
required

full name of the location required field if you don’t specify location_code Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_name by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US location only; example: United States

location_code
integer
required

location code required field if you don’t specify location_name Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_code by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US location only; example: 2840

language_name
string
required

full name of the language required field if you don’t specify language_code Note: it is required to specify either language_name or language_code you can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the English language only; example: English

language_code
string
required

language code required field if you don’t specify language_name Note: it is required to specify either language_name or language_code you can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the English language only example: en

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.se_type
string

search engine type

tasks.result.app_id
string

id of the app in a POST array

tasks.result.location_code
integer

location code in a POST array

tasks.result.language_code
string

language code in a POST array

tasks.result.total_count
integer

total amount of results in our database relevant to your request

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.items
string[]

contains data related to the ranking app metrics of the specified application

tasks.result.items.se_type
string

search engine type

tasks.result.items.app_id
string

id of the app in a POST array

tasks.result.items.metrics
object

metrics for the ranking keywords of the app ranking data relevant to the keywords that the provided application ranks for on Google Play

tasks.result.items.metrics.google_play_search_organic
object

ranking data from Google Play organic search

tasks.result.items.metrics.google_play_search_organic.pos_1
integer

number of SERPs where the app ranks #1 in organic results

tasks.result.items.metrics.google_play_search_organic.pos_2_3
integer

number of SERPs where the app ranks #2-3 in organic results

tasks.result.items.metrics.google_play_search_organic.pos_4_10
integer

number of SERPs where the app ranks #4-10 in organic results

tasks.result.items.metrics.google_play_search_organic.pos_11_100
integer

number of SERPs where the app ranks #11-100 in organic results

tasks.result.items.metrics.google_play_search_organic.count
integer

total count of organic SERPs that contain the app

tasks.result.items.metrics.google_play_search_organic.search_volume
integer

total search volume of the app’s ranking keywords in Google Play organic SERP